Subject: Re: bug#22734: 24.5; do not leave opened org-agenda-files on org-agenda-list, etc.

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Feb 2016 19:04:14 +0200

> From: Oleksandr Gavenko <[email-masked]>
> Date: Thu, 18 Feb 2016 16:23:05 +0200
> 
> In GNU Emacs 24.5.1 (x86_64-pc-linux-gnu, GTK+ Version 3.18.2)
>  of 2015-10-24 on trouble, modified by Debian
> Windowing system distributor `The X.Org Foundation', version 11.0.11702000
> System Description:	Debian GNU/Linux testing (stretch)
> 
> Recently I changed workflow with org-mode and trapped into issue which already
> described:
> 
>   http://emacs.stackexchange.com/questions/5741/do-not-keep-org-agenda-files-open-after-generating-agenda/
> 
> Previously I use:
> 
>  * NOTE.org as main storage for free form notes edited by hand with key
>    binding to quick access to this file
> 
>  * TODO.org for `org-remember' or
>      (lambda () (interactive) (org-capture nil "t"))
> 
> TODO.org I visit only via `C-c a a'. But NOTE.org become unmaintainable with
> size greater then 1 MiB of plain text.
> 
> So I split this file into several files by easy distinguished topics, like
> LEARNING.org, purchases.org, emacs-python.org, linux.org, vps.org, ...
> 
> Instead of maintaining list of possible names I have specified directory:
> 
> (setq org-agenda-file-regexp "\\`[^.#].*[^_]\\.org\\'"
>       org-agenda-files (list org-directory))
> 
> I happy with this setup because I can quickly find necessary topic via
> switching to buffer (by IDO via meaningful file name) and search (by C-s)
> performed in limited space.
> 
> All schedules available via `C-c a a' across all .org files.
> 
> But now I have a lot of opened unused .org files after `C-c a a' which I
> should kill when they appear during buffer switches.
> 
> The right behavior is to preserve opened only files that already was opened
> and kill other files.

Shouldn't this be reported to the Org folks?  It sounds like a purely
Org issue.